Name: H5Gclose
Signature:
  herr_t `H5Gclose`(hid_t `group_id`)
Purpose:
  Closes the specified group.
Description:
  `H5Gclose` releases resources used by a group which was opened by `H5Gcreate` or `H5Gopen`. After closing a group, the `group_id` cannot be used again.

  Failure to release a group with this call will result in resource leaks.

Parameters:

hid_t `group_id` | IN: Group identifier to release.

Returns:
  Returns a non-negative value if successful; otherwise returns a negative value.
Fortran90 Interface: h5gclose_f

      SUBROUTINE h5gclose_f( gr_id, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: gr_id     ! Group identifier
        INTEGER, INTENT(OUT) :: hdferr          ! Error code
                                                ! 0 on success and -1 on failure
      END SUBROUTINE h5gclose_f